Name: wvstreams
Version: 3.74.0
Release: alt2.1.1

%def_disable static
%def_disable debug

Summary: WvStreams is a network programming library written in C++
License: LGPL
Group: System/Libraries

Url: http://open.nit.ca/wiki/?page=WvStreams
Source: %name-%version.tar.bz2

Patch0: %name-3.74.0-alt-serial.patch
Patch1: %name-3.74.0-mdk-db1.patch
Patch2: %name-3.74.0-alt-docbook.patch

Requires: /var/lock/serial

# Automatically added by buildreq on Wed Feb 11 2004
BuildRequires: docbook-dtds docbook-style-dsssl gcc-c++ libdb1-devel libssl-devel libstdc++-devel openjade sgml-common zlib-devel

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n lib%name
Summary: Network programming library written in C++
Group: System/Libraries

%description -n lib%name
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n lib%name-devel
Summary: Network programming library written in C++ (header files)
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.  This package contains header
files needed for development with %name.

%package -n lib%name-devel-static
Summary: Network programming library written in C++ (static libraries)
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.  This package contains static
%name libraries for embedding.

%package manual
Summary: Network programming library written in C++ (reference manual)
Group: Development/C
Requires: lib%name-devel = %version-%release

%description manual
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.  This package contains reference
manual for %name (html).

%prep
%setup -q -n %name-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure %{subst_enable debug} %{subst_enable static} \
	--with-bdb --with-openssl --with-zlib \
	--without-pam --without-gdbm --without-fam --without-fftw \
	--without-ogg --without-vorbis --without-speex \
	--without-gtk --without-qt

%make_build \
	DEPEND_MSG= PREPROC_MSG= COMPILE_MSG= LINK_MSG= \
	COPTS="%optflags %optflags_shared" \
	CXXOPTS="%optflags %optflags_shared"

%make_build -C Docs/sgmlmanual html

%install
%makeinstall

%define docdir %_docdir/%name-%version
%__mkdir_p %buildroot%docdir/html-manual
%__install -p -m644 COPYING.LIB README %buildroot%docdir/
%__install -p -m644 Docs/sgmlmanual/*/*.htm* %buildroot%docdir/html-manual/

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%dir %docdir
%docdir/COPYING.LIB
%docdir/README

%files -n lib%name-devel
%_includedir/%name/
%_libdir/*.so

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%files manual
%dir %docdir
%docdir/html-manual/

%changelog
* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 3.74.0-alt2.1.1
- Rebuilt with openssl-0.9.7d.

* Sun Feb 15 2004 Alexey Tourbin <at@altlinux.ru> 3.74.0-alt2.1
- fixed interpackage dependencies

* Wed Feb 11 2004 Alexey Tourbin <at@altlinux.ru> 3.74.0-alt2
- %name-manual packaged (html)

* Tue Feb 10 2004 Alexey Tourbin <at@altlinux.ru> 3.74.0-alt1
- 3.74.0, soname change, maintainer change
- mdk-db1.patch: fix libdb1 detection
- ogg, gtk, qt, etc. refused (only db1, openssl and zlib support kept)
- lib%name-devel-static not packaged by default

* Wed Dec 25 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.70-alt2
- Fixed /var/lock path

* Mon Oct 21 2002 Konstantin Volckov <goldhead@altlinux.ru> 3.70-alt1
- First build for Sisyphus

* Tue Sep 10 2002 Mike A. Harris <mharris@redhat.com> 3.70-6
- use FHS macros for multilib systems

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com>
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Nalin Dahyabhai <nalin@redhat.com> 3.70-1
- patch to build with gcc 3.x
- build with -fPIC

* Wed Apr 10 2002 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.70

* Wed Mar 27 2002 Nalin Dahyabhai <nalin@redhat.com> 3.69-1
- pull in from upstream tarball

* Wed Feb 27 2002 Nalin Dahyabhai <nalin@redhat.com>
- merge the main and -devel packages into one .spec file
- use globbing to shorten the file lists
- don't define name, version, and release as macros (RPM does this by default)
- use the License: tag instead of Copyright: (equivalent at the package level,
  but License: reflects the intent of the tag better)
- use a URL to point to the source of the source tarball
- add BuildRequires: openssl-devel (libwvcrypto uses libcrypto)
- move the buildroot to be under %%{_tmppath}, so that it can be moved by
  altering RPM's configuration

* Tue Jan 29 2002 Patrick Patterson <ppatters@nit.ca>
- Initial Release of WvStreams
